%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/alecthomas/kingpin/v2
Version:                2.3.2

%gometa -L


%global common_description %{expand:
Go command line and flag parser.}

%global golicenses      COPYING
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Go command line and flag parser

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com>
- Rebuilt for loongarch64

* Thu Aug 29 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
